### Method

# Gio FileInfo get_attribute_string

#### Declaration [src]

    const char*
    g_file_info_get_attribute_string (
      GFileInfo* info,
      const char* attribute
    )

#### Description [src]

Gets the value of a string attribute. If the attribute does not contain a string, `NULL` will be returned.

#### Parameters

`attribute`

  Type: `const char*`

  A file attribute key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const char*`

The contents of the `attribute` value as a UTF-8 string, or `NULL` otherwise.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.